// Audiomatica ( http://www.audiomatica.com/ ) 
// Copyright (C) - 2017 - Audiomatica, Daniele Ponteggia

function [NumCh,ChirpSize,FCamp,TimeW,TimeWb,TimeWe,MisUnit,Smooth,ChirpImpRe,ChirpImpIm]=loadcrp(filename)
    // Load a ClioPkt .crp Chirp Response File
    [fd]=mopen(filename,'rb');
    skip=mget(820,'uc',fd);
    skip=mget(1,'ui',fd);  //NextOfs
    NumCh=mget(1,'ui',fd); 
    ChirpSize=mget(1,'ui',fd);
    FCamp=mget(1,'ui',fd);
    TimeW=mget(1,'uc',fd);  //(RectW,HalfHann,Hann,HalfBH,BH)
    TimeWb=mget(1,'ui',fd);
    TimeWe=mget(1,'ui',fd);
    MisUnit=mget(1,'uc',fd); //(Vrms,dBV,dBu,dBSpl,dBRel,Ohm,Deg,ms,dB,Perc,dBmet,dBms2,dBPa,dBPaV,dBms,dBamp,dBSplWm,tCels,Watt)
    Smooth=mget(1,'uc',fd); //(SmNone,Sm48,Sm24,Sm12,Sm6,Sm3,Sm1)
    skip=mget(263,'uc',fd);
    ChirpImpRe=mget(ChirpSize,'f',fd);  //impulse data, real part
    ChirpImpIm=mget(ChirpSize,'f',fd);  //impulse data, imaginary part 
    mclose(fd);
endfunction
