// Audiomatica ( http://www.audiomatica.com/ ) 
// Copyright (C) - 2017 - Audiomatica, Daniele Ponteggia

function [FFTSize,FCamp,FFTWindow,MisUnit,ATime,AFFT]=loadffp(filename)
    // Load a ClioPkt .ffp FFT Response File
    [fd]=mopen(filename,'rb');
    skip=mget(860,'uc',fd); 
    FFTSize=mget(1,'ui',fd);
    FCamp=mget(1,'ui',fd);
    FFTWindow=mget(1,'uc',fd);
    skip=mget(8,'uc',fd);
    MisUnit=mget(1,'uc',fd); //(Vrms,dBV,dBu,dBSpl,dBRel,Ohm,Deg,ms,dB,Perc,dBmet,dBms2,dBPa,dBPaV,dBms,dBamp,dBSplWm,tCels,Watt)
    skip=mget(10,'uc',fd);
    Smooth=mget(1,'uc',fd); //(SmNone,Sm48,Sm24,Sm12,Sm6,Sm3,Sm1)
    skip=mget(336,'uc',fd);
    AFFT=mget(FFTSize,'f',fd);
    ATime=mget(FFTSize,'f',fd);
    mclose(fd);
endfunction
